Skip to main content
PUT
/
networks
/
creatives
/
{creativeId}
Update Creative
curl --request PUT \
  --url https://api.eflow.team/v1/networks/creatives/{creativeId} \
  --header 'Content-Type: application/json' \
  --header 'X-Eflow-Api-Key: <api-key>' \
  --data '
{
  "network_offer_id": 1,
  "name": "Banner Ad 300x250",
  "creative_type": "html",
  "html_code": "<div>Ad content</div>",
  "creative_status": "active",
  "width": 300,
  "height": 250
}
'
import requests

url = "https://api.eflow.team/v1/networks/creatives/{creativeId}"

payload = {
    "network_offer_id": 1,
    "name": "Banner Ad 300x250",
    "creative_type": "html",
    "html_code": "<div>Ad content</div>",
    "creative_status": "active",
    "width": 300,
    "height": 250
}
headers = {
    "X-Eflow-Api-Key": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'PUT',
  headers: {'X-Eflow-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    network_offer_id: 1,
    name: 'Banner Ad 300x250',
    creative_type: 'html',
    html_code: '<div>Ad content</div>',
    creative_status: 'active',
    width: 300,
    height: 250
  })
};

fetch('https://api.eflow.team/v1/networks/creatives/{creativeId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "network_offer_creative_id": 123,
  "network_id": 123,
  "network_offer_id": 123,
  "name": "<string>",
  "is_private": true,
  "resource_url": "<string>",
  "html_code": "<string>",
  "width": 123,
  "height": 123,
  "email_from": "<string>",
  "email_subject": "<string>",
  "time_created": 1734455015,
  "time_saved": 1734455015,
  "additional_offer_ids": [
    123
  ],
  "is_apply_specific_affiliates": true,
  "email_subject_lines": "<string>",
  "email_from_lines": "<string>",
  "relationship": {
    "offer": {
      "network_offer_id": 123,
      "network_id": 123,
      "network_advertiser_id": 123,
      "network_offer_group_id": 123,
      "name": "<string>",
      "offer_status": "<string>",
      "network_tracking_domain_id": 123,
      "visibility": "<string>",
      "currency_id": "<string>"
    },
    "resource_asset": {
      "network_asset_id": 123,
      "content_type": "<string>",
      "filename": "<string>",
      "url": "<string>",
      "file_size": 123,
      "image_width": 123,
      "image_height": 123
    }
  }
}
Update an existing creative. Required fields are network_offer_id, name, creative_type, creative_status, is_private, additional_offer_ids, and is_apply_specific_affiliates. Any omitted non-required fields will be reset to defaults.

Authorizations

X-Eflow-Api-Key
string
header
required

The Everflow API key generated from the Control Center > Security.

Path Parameters

creativeId
integer
required

The creative ID.

Body

application/json
network_offer_id
integer
required

The ID of the offer this creative belongs to. Only required when creating a new creative on its own (not part of an offer creation).

name
string
required

Name of the creative.

creative_type
enum<string>
required

Type of the creative. Can be one of: image, html, thumbnail, email, archive, video, text, or link.

Available options:
image,
html,
thumbnail,
email,
archive,
video,
text,
link
is_private
boolean
required

Whether the creative is accessible by all affiliates.

creative_status
enum<string>
required

Status of the creative. Can be either active or deleted.

Available options:
active,
deleted
additional_offer_ids
integer[]
required

IDs of all additional offers linked to this creative.

is_apply_specific_affiliates
boolean
required

Whether to restrict the creative to specific affiliates. Defaults to false.

html_code
string

HTML content of the creative. Required only if creative_type is html, email, or link.

width
integer

Width of the creative. Required only if creative_type is html.

height
integer

Height of the creative. Required only if creative_type is html.

email_from
string

Content of the From field of the email. Required only if creative_type is email.

email_subject
string

Content of the Subject field of the email. Required only if creative_type is email.

resource_file
object

Content of the creative. Should only be included if creative_type is image, thumbnail, archive, or video.

html_files
object[]

List of files attached to the creative. Should only be included if creative_type is html or email.

html_assets
object[]

Array of asset objects associated with the creative. Used for html and email creative types.

Response

200 - application/json
network_offer_creative_id
integer

Unique creative ID.

network_id
integer

Network ID.

network_offer_id
integer

Associated offer ID.

name
string

Name of the creative.

creative_type
enum<string>

Type of the creative. Can be one of: image, html, thumbnail, email, archive, video, text, or link.

Available options:
image,
html,
thumbnail,
email,
archive,
video,
text,
link
is_private
boolean

Whether the creative is accessible by all affiliates.

creative_status
enum<string>

Status of the creative. Can be active, paused, or deleted.

Available options:
active,
paused,
deleted
resource_url
string

URL to the creative resource file.

html_code
string

HTML content of the creative. Present when creative_type is html, email, or link.

width
integer

Width of the creative in pixels.

height
integer

Height of the creative in pixels.

email_from
string

Content of the From field of the email.

email_subject
string

Content of the Subject field of the email.

time_created
integer

Unix timestamp of creation.

Example:

1734455015

time_saved
integer

Unix timestamp of last update.

Example:

1734455015

additional_offer_ids
integer[] | null

IDs of all additional offers linked to this creative.

is_apply_specific_affiliates
boolean

Whether the creative is restricted to specific affiliates.

email_subject_lines
string

Additional email subject lines for the creative.

email_from_lines
string

Additional email from lines for the creative.

relationship
object